Bug 475098 - Review Request: python-Traits - Explicitly typed attributes for Python
Review Request: python-Traits - Explicitly typed attributes for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481727 482216
  Show dependency treegraph
 
Reported: 2008-12-07 14:16 EST by Rakesh Pandit
Modified: 2013-05-02 07:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 10:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-12-07 14:16:18 EST
Description:

SPEC: http://rakesh.fedorapeople.org/spec/python-Traits.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-Traits-3.0.2-1.fc10.src.rpm

The traits package developed by Enthought provides a special type
definition called a trait. Although they can be used as normal Python object 
attributes, traits also have several additional characteristics: 

* Initialization: A trait can be assigned a default value.
* Validation: A trait attribute's type can be explicitly declared.
* Delegation: The value of a trait attribute can be contained either
  in another object.
* Notification: Setting the value of a trait attribute can trigger
  notification of other parts of the program.
* Visualization: User interfaces that permit the interactive
  modification of a trait's value can be automatically constructed
  using the trait's definition.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=985713
Comment 1 Jesse Keating 2008-12-13 16:28:01 EST
Taking review.
Comment 2 Jesse Keating 2008-12-13 16:49:53 EST
* python define correct
* Name/Summary/Group/URL all correct
* Buildroot def is fine
* Builds Ok in mock
* License is wrong, there are multiple licenses in this package, due to various image files.  BSD 3-clause, Eclipse Public License, LGPL, GPLv2
  Many files in enthought/traits/protocols/ have no license headers, and are in fact from a different project, PyProtocols
  Many files in enthought/traits/tests/ have no license headers
  enthought/traits/ui/editors_gen.py is licensed under GPLv2(thus +)
  MANY things in examples/ have no license information
  Most things in integrationtests/ have no license information
* buildroot is sane
* %prep,%build,%files,%clean all seem fine
* %files OK
* changelog OK

* rpmlint output:
python-Traits.i386: E: non-standard-executable-perm /usr/lib/python2.6/site-packages/enthought/traits/ctraits.so 0775
python-Traits.i386: E: non-standard-executable-perm /usr/lib/python2.6/site-packages/enthought/traits/protocols/_speedups.so 0775

** SUMMARY **
This needs a close examination of the licenses of the files and a correct License field.
Permissions need to be fixed.
Comment 3 Rakesh Pandit 2009-01-08 23:02:11 EST
I have dropped a mail upstream to get as much as things clear for licenses.
Comment 4 Rakesh Pandit 2009-01-10 01:29:06 EST
https://svn.enthought.com/enthought/ticket/1765

Upstream is working on fixing this issue. They planning to make most of the things to BSD 3-clause.

Images are in there original license only. So, present license tag will be mix of all those licenses. I will wait for few days and check if they move quickly. If not I will update.
Comment 5 Rakesh Pandit 2009-01-10 01:29:52 EST
The only file in GPLv2+ is actually a mistake done by someone. They are also planning to re-license that if possible.
Comment 6 Rakesh Pandit 2009-01-26 21:57:45 EST
Images have different licenses. For image license breakdown check image_LICENSE.txt file. Except enthought/traits/ui/editors_gen.py which is GPLv2+ all remaining source or image files are in BSD 3-clause license. Confirmed from upstream. They will fix all concerned issues and include license blocks in source locks where it has been missing in future releases.

I have kept a note of about different licenses and where more information can be found on just top of license tag which is:
 BSD and EPL and LGPLv2 and GPLv2+

%changelog
* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.2-2
- Fixed permissions for ctraits.so and _speedups.so
- Fixed license after confirming from upstream

SPEC: http://rakesh.fedorapeople.org/spec/python-Traits.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-Traits-3.0.2-2.fc10.src.rpm
Comment 7 Rakesh Pandit 2009-03-06 01:59:22 EST
@Jesse 

ping, may you look at this soon ?
Thanks
Comment 8 Jesse Keating 2009-03-06 12:41:30 EST
OK, looks good now!
Comment 9 Rakesh Pandit 2009-03-07 02:52:32 EST
Thanks Jesse!

New Package CVS Request
=======================
Package Name: python-Traits
Short Description: Explicitly typed attributes for Python
Owners: rakesh
Branches: F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 10 Huzaifa S. Sidhpurwala 2009-03-07 07:37:26 EST
cvs done
Comment 11 Fedora Update System 2009-03-07 10:20:22 EST
python-Traits-3.0.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-Traits-3.0.2-2.fc10
Comment 12 Fedora Update System 2009-03-07 10:21:40 EST
python-Traits-3.0.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-Traits-3.0.2-2.fc9
Comment 13 Fedora Update System 2009-04-13 15:36:04 EDT
python-Traits-3.0.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-04-13 15:42:25 EDT
python-Traits-3.0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Orion Poplawski 2013-05-01 21:45:01 EDT
Package Change Request
======================
Package Name: python-Traits
New Branches: el6
Owners: orion
InitialCC:
Comment 17 Gwyn Ciesla 2013-05-02 07:06:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.